set -o vi

export LC_ALL=en_US.UTF-8

export PATH=/opt/homebrew/bin:/opt/homebrew/sbin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/Users/jetpac/work/flutter/bin:$HOME/.rd/bin:$HOME/bin:PATH


alias oe='open /Applications/Emacs.app'
alias config='/usr/bin/git --git-dir=$HOME/.cfg/ --work-tree=$HOME'
alias -g N="2>&1 "
alias pig='ping'
# export PATH=$HOME/.rd/bin
#


# for gems installed in my home direcotry
# inspiration: https://guides.cocoapods.org/using/getting-started.html#installation
export GEM_HOME=$HOME/.gem
export PATH=$GEM_HOME/bin:$PATH


# change iTerm & tmux profile 
# doc:
#	https://iterm2.com/documentation-escape-codes.html
#	https://github.com/tmux/tmux/issues/1502

## change color profile in iTerm
##it2prof() { echo -e "\033]50;SetProfile=$1\a" }

function print_osc() {
    if [[ -n $TMUX ]] ; then
        printf '\033Ptmux;\033\033]';
    else printf '\033]'; fi
}

function print_st() {
    if [[ -n $TMUX ]] ; then
        printf '\a\033\\'
    else printf '\a'; fi
}

function set_iterm_profile() {
  readonly profile=${1:?"The profile must be specified."}
  print_osc
  printf "1337;SetProfile=$profile"
  print_st
}

function set_tmux_profile() {
  if [[ -n $TMUX ]]; then
    profile=${1:?"The profile must be specified."}
    tmux source-file $HOME/.tmux/plugins/tmux-colors-solarized/tmuxcolors-${profile}.conf
  fi
}

function set_dark() {
  set_iterm_profile 'Solarized Dark' 
  set_tmux_profile 'dark'
}

function set_light() {
  set_iterm_profile 'Solarized Light' 
  set_tmux_profile 'light'
}

export seznam6='2a02:598:2::1222'

export OPENAI_API_KEY='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'

# for flutter
export PATH=$PATH:/Users/jetpac/Documents/flutter-dev-env/bin
